- show_controls = local_assigns.fetch(:show_controls, true)
- pipeline = @build.pipeline

.content-block.build-header.top-area.page-content-header
  .header-content
    = render 'ci/status/badge', status: @build.detailed_status(current_user), link: false, title: @build.status_title
    %strong
      Job
      = link_to "##{@build.id}", project_job_path(@project, @build), class: 'js-build-id'
    in pipeline
    %strong
      = link_to "##{pipeline.id}", pipeline_path(pipeline)
    for
    %strong
      = link_to pipeline.short_sha, project_commit_path(@project, pipeline.sha), class: 'commit-sha'
    from
    %strong
      = link_to @build.ref, project_ref_path(@project, @build.ref), class: 'ref-name'

    = render "projects/jobs/user" if @build.user

    = time_ago_with_tooltip(@build.created_at)

  - if show_controls
    .nav-controls
      - if can?(current_user, :create_issue, @project) && @build.failed?
        = link_to "New issue", new_project_issue_path(@project, issue: build_failed_issue_options), class: 'btn btn-success btn-inverted'
      - if can?(current_user, :update_build, @build) && @build.retryable?
        = link_to "Retry job", retry_project_job_path(@project, @build), class: 'btn btn-inverted-secondary', method: :post
    %button.btn.btn-default.float-right.d-block.d-sm-none.d-md-none.build-gutter-toggle.js-sidebar-build-toggle{ role: "button", type: "button" }
      = icon('angle-double-left')
